properties object when creating or updating a connection. All properties are nested within the connection request body.
Properties
string
required
SFTP server hostname or fully qualified domain name.
integer
required
Port number for the SFTP server connection.
string
required
Username for authenticating to the SFTP server.
string
required
Authentication method for SFTP.Supported values:
passwordfor password authentication.private_keyfor private key authentication.
object
Reference to a Prophecy secret containing the SFTP password. Required when
authMethod is password.- When using the create connection API, the secret must be stored in Prophecy before creating the connection.
- When using the create fabric API, replace this whole object with the string
{{SECRET}}, which references the secret being created in parallel to the connection.
string
Base64-encoded private key for SFTP authentication. Required when
authMethod is private_key.
The private key should be in OpenSSH format and encoded as base64.object
Knowledge graph configuration settings for the connection. See the Knowledge graph
indexer properties for more information.

